Skip to main content
POST
/
v1
/
video
/
gif
{
  "input": "https://example.com/video.mp4",
  "start": "00:00:00",
  "duration": 5,
  "width": 480,
  "fps": 15
}
curl -X POST https://api.ringbee.dev/v1/video/gif \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@video.mp4" \
  -F "start=00:00:00" \
  -F "duration=5" \
  -F "width=480" \
  -F "fps=15"
{
  "id": "job_abc123",
  "status": "pending"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
  "input": "https://example.com/video.mp4",
  "start": "00:00:00",
  "duration": 5,
  "width": 480,
  "fps": 15
}
curl -X POST https://api.ringbee.dev/v1/video/gif \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@video.mp4" \
  -F "start=00:00:00" \
  -F "duration=5" \
  -F "width=480" \
  -F "fps=15"
ParamTypeDescription
startstringStart timestamp (HH:MM:SS)
durationnumberDuration in seconds
widthintegerOutput GIF width in pixels
fpsintegerFrames per second

Authorizations

X-API-Key
string
header
required

Body

input
string
required

Input file URL

start
string

Start timestamp (HH:MM:SS)

duration
number

Duration in seconds

width
integer

Output GIF width in pixels

fps
integer

Frames per second

webhook_url
string

URL to receive job completion notification

Response

Job accepted

id
string
Example:

"job_abc123"

status
enum<string>
Available options:
pending,
processing,
completed,
failed,
cancelled
Example:

"pending"